post
https://api.sumsub.com/resources/applicantActions//images
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Overview
Use this method to add an image file to an applicant action (for example, a bank card image to the payment method). This endpoint is helpful for working through the API without using the SDKs.
Required permissions
To use this method, your app token must have the Change applicant's personal data permission.
Request example
curl -X POST \
'https://api.sumsub.com/resources/applicantActions/5e022e0f0a975a45325c7ff5/images' \
-H 'Content-Type: multipart/form-data' \
-H 'X-App-Token: <your-app-token>' \
-H 'X-App-Access-Sig: <your-signature>' \
-H 'X-App-Access-Ts: <unix-timestamp>' \
-F 'metadata={"idDocType":"PAYMENT_SOURCE","country":"GBR"}' \
-F 'content=@/Sumsub/Example/name.jpg'Response explained
If the request is sent and processed correctly, in the response, you will get the JSON file representing the document information.
| Field | Type | Description |
|---|---|---|
id | String | Image object identifier. |
addedDate | Date | Date and time (UTC) when the image was uploaded. |
imageHash | String | Checksum of the uploaded image file. |
imageFileName | String | Name of the image file. |
resizedImageId | Integer | Unique identifier of the resized image. |
mimeType | String | Image file mime-type. The full list of mime-types and file formats, you can find in our FAQ (See the answer to What file extensions do you accept?). |
sigHash | String | Signed image hash. |
imageId | Integer | Unique image file identifier. |
actualResolution | Object | Includes the actual width and height of the image in pixels. |
answer | String | Indicates the image check result (GREEN, RED, ERROR). |
idDocDef | Object | Additional information about the document. |
reviewResult | Object | Since we only send the image, the object returned is empty because no check is done yet. When the check is performed, the object would contain the following information. |
attemptId | String | Identifier of the attempt to upload the image. |
idDocDef attributes
idDocDef attributesThe following table explains the idDocDef attributes representing the additional information about the document.
| Field | Type | Description |
|---|---|---|
country | String | Alpha-3 code (for example, DEU, GBR, ARG, and so on) of the country where the document was issued. |
idDocType | String | Type of document that is specified in the level to be provided for verification. For example, PASSPORT, SELFIE, VIDEO_SELFIE, PAYMENT_SOURCE and so on.See the list of supported document types for details. |
idDocSubType | String | FRONT_SIDE, BACK_SIDE or null. |
Response example
{
"id": "66bb6c71546bfc57cffe92a8",
"addedDate": "2024-08-13 14:23:45",
"creatorClientId": "API",
"imageHash": "64d2f3aa8da8a98fffaf751a9c323981474f6375",
"imageFileName": "image-name.png",
"resizedImageId": 603758274,
"mimeType": "png",
"sigHash": "3809bc3c-831d-4be3-8cee-1684553beffe",
"imageId": 1411431805,
"fileSize": 1362,
"actualResolution": {
"width": 192,
"height": 192
},
"answer": "GREEN",
"idDocDef": {
"country": "GBR",
"idDocType": "PAYMENT_SOURCE"
},
"reviewResult": {},
"attemptId": "teinm"
}If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error.
For example:
{
"description": "HTTP 400 Bad Request",
"code": 400,
"correlationId": "dd987d5386c9ad319f897efa0233f1e8"
}